import 'package:provider/provider.dart';
import 'package:provider/single_child_widget.dart';

import 'car_detail_view_model.dart';
import 'counter_view_model.dart';
import 'pin_text_view_model.dart';
import 'select_vehicle_view_model.dart';
import 'warehouse_info_view_model.dart';
import 'warehouse_tree_postion_view_model.dart';

List<SingleChildWidget> providers = [
  ChangeNotifierProvider(
    create: (ctx) => CounterViewModel(),
  ),
  ChangeNotifierProvider(
    create: (ctx) => WarehouseTreePositionViewModel(),
  ),
  ChangeNotifierProvider(
    create: (ctx) => SelectVehicleViewModel(),
  ),
  ChangeNotifierProvider(
    create: (ctx) => WarehouseInfoViewModel(),
  ),
  ChangeNotifierProvider(
    create: (ctx) => PinTextNumberViewModel(),
  ),
  ChangeNotifierProvider(
    create: (ctx) => CarDetailViewModel(),
  ),
];
